#pragma once

#include "../Common.h"

namespace Feather::Network
{
    class TCPClient;

    class abstract IListenerInterface
    {
    public:
        virtual void OnClientConnect(TCPClient&& client) = 0;
        virtual void OnClientDisconnect(const TCPClient& client) = 0;
    };
}
